Verify the commit message has a Bug: line

The Git change's commit message should have a line that starts with Bug:
or Issue:, followed by a bug ID. This is important for tracking purposes,
association with follow-up changes, and having a centralized place to
discuss issues.

Note that this change doesn't actuall check that the bug ID is valid.
Also, at this point Kokoro doesn't block submits.

Bug: b/141892461
Change-Id: Idf57534d24842e18dca90ec01e5bb134db612286
Reviewed-on: https://swiftshader-review.googlesource.com/c/SwiftShader/+/36868
Kokoro-Presubmit: kokoro <noreply+kokoro@google.com>
Reviewed-by: Alexis Hétu <sugoi@google.com>
Reviewed-by: Chris Forbes <chrisforbes@google.com>
Tested-by: Nicolas Capens <nicolascapens@google.com>
diff --git a/tests/kokoro/gcp_ubuntu/continuous.sh b/tests/kokoro/gcp_ubuntu/continuous.sh
index d7ee2ed..373da9b 100644
--- a/tests/kokoro/gcp_ubuntu/continuous.sh
+++ b/tests/kokoro/gcp_ubuntu/continuous.sh
@@ -7,6 +7,16 @@
 
 cd git/SwiftShader
 
+# Validate commit message
+git log -1 --pretty=%B | grep -E '^Bug:|^Issue:|^Regres:'
+
+if [ $? -ne 0 ]
+then
+  echo "Commit message must have a Bug: line."
+  exit 0
+fi
+
+# Download all submodules
 git submodule update --init
 
 mkdir -p build && cd build